Per-certificate operations. Order a certificate from a CSR, follow it through issuance, then reissue, renew, revoke, or cancel it. Also covers validation emails, domain control checks, action callbacks, downloads, and the site seal.
Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Header Parameters
Setting locale for communications such as emails and error messages. Defaults to the locale of the shopper account.
Request Body
application/json
The certificate order information
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates" \ -H "X-Market-Id: en-US" \ -H "Content-Type: application/json" \ -d '{ "contact": { "email": "admin@example.com", "nameFirst": "Jane", "nameLast": "Doe", "phone": "+1.4805058800" }, "csr": "-----BEGIN CERTIFICATE REQUEST-----\\nMIICijCCAXICAQAwRTELMAkGA1UEBhMCVVMxEzARBgNVBAgMCkFyaXpvbmExDjAM\\nBgNVBAcMBVRlbXBlMREwDwYDVQQKDAhFeGFtcGxlMRQwEgYDVQQDDAtleGFtcGxl\\n...\\nLmNvbYIPd3d3LmV4YW1wbGUuY29t\\n-----END CERTIFICATE REQUEST-----\\n", "period": 1, "productType": "DV_SSL" }'{ "certificateId": "string"}Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Header Parameters
Setting locale for communications such as emails and error messages. Defaults to the locale of the shopper account.
Request Body
application/json
The certificate order info
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates/validate" \ -H "X-Market-Id: en-US" \ -H "Content-Type: application/json" \ -d '{ "contact": { "email": "admin@example.com", "nameFirst": "Jane", "nameLast": "Doe", "phone": "+1.4805058800" }, "csr": "-----BEGIN CERTIFICATE REQUEST-----\\nMIICijCCAXICAQAwRTELMAkGA1UEBhMCVVMxEzARBgNVBAgMCkFyaXpvbmExDjAM\\nBgNVBAcMBVRlbXBlMREwDwYDVQQKDAhFeGFtcGxlMRQwEgYDVQQDDAtleGFtcGxl\\n...\\nLmNvbYIPd3d3LmV4YW1wbGUuY29t\\n-----END CERTIFICATE REQUEST-----\\n", "period": 1, "productType": "DV_SSL" }'Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn"{ "certificateId": "string", "commonName": "string", "contact": { "email": "admin@example.com", "jobTitle": "IT Director", "nameFirst": "Jane", "nameLast": "Doe", "nameMiddle": "A", "phone": "+1.4805058800", "suffix": "Jr." }, "createdAt": "string", "deniedReason": "string", "organization": { "address": { "address1": "100 S Mill Ave", "address2": "Suite 1600", "city": "Tempe", "country": "AC", "postalCode": "85281", "state": "Arizona" }, "assumedName": "string", "jurisdictionOfIncorporation": { "city": "string", "country": "string", "county": "string", "state": "string" }, "name": "string", "phone": "string", "registrationAgent": "string", "registrationNumber": "string" }, "period": 0, "productType": "DV_SSL", "progress": 0, "revokedAt": "string", "rootType": "GODADDY_R1", "serialNumber": "string", "serialNumberHex": "string", "slotSize": "FIVE", "status": "PENDING_ISSUANCE", "subjectAlternativeNames": [ { "status": "PENDING", "subjectAlternativeName": "string" } ], "validEnd": "string", "validStart": "string"}Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/actions"[ { "createdAt": "string", "type": "CERTIFICATE_ISSUED" }]Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Email id for email to resend
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/email/12345/resend"Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Specific email address to resend email
emailResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/email/resend/admin@example.com"{ "id": 0, "accountId": 0, "templateType": "string", "fromType": "string", "recipients": "string", "body": "string", "dateEntered": "string", "subject": "string"}Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Email id for email to resend
Specific email address to resend email
emailResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/email/12345/resend/admin@example.com"Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/email/history"{ "id": 0, "accountId": 0, "templateType": "string", "fromType": "string", "recipients": "string", "body": "string", "dateEntered": "string", "subject": "string"}Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/callback"{ "callbackUrl": "string"}Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/callback"Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Query Parameters
Callback url registered/replaced to receive stateful actions
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/callback?callbackUrl=https%3A%2F%2Fexample.com%2Fcertificate-callback"Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/cancel"Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/download"{ "pems": { "certificate": "string", "cross": "string", "intermediate": "string", "root": "string" }, "serialNumber": "string"}Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Request Body
application/json
The reissue request info
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/reissue" \ -H "Content-Type: application/json" \ -d '{}'Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Request Body
application/json
The renew request info
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/renew" \ -H "Content-Type: application/json" \ -d '{}'Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Request Body
application/json
The certificate revocation request
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/revoke" \ -H "Content-Type: application/json" \ -d '{ "reason": "AFFILIATION_CHANGED" }'Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Query Parameters
This value represents the visual theme of the seal. If seal doesn't exist, default values are used if params not present. If seal does exist, default values will not be used to update unless params present.
"LIGHT"Value in
- "DARK"
- "LIGHT"
Determine locale for text displayed in seal image and verification page. If seal doesn't exist, default values are used if params not present. If seal does exist, default values will not be used to update unless params present.
"en"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/siteSeal"{ "html": "string"}Authorization
sso-key Standard GoDaddy developer API key auth header created in https://developer.godaddy.com/keys. Format: sso-key {KEY}:{SECRET}.
In: header
Path Parameters
The id of the certificate.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/certificates/qobxspos3s5q6mkzipvpoq4rsd3phkcn/verifyDomainControl"Last updated on
How is this guide?